Bug 128794 - FILEOPEN DOCX Radial gradient fill Center XY position imported/exported incorrectly
Summary: FILEOPEN DOCX Radial gradient fill Center XY position imported/exported incor...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-11-14 09:54 UTC by NISZ LibreOffice Team
Modified: 2020-05-12 14:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (82.29 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-11-14 09:55 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer (57.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-11-14 09:56 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (257.09 KB, image/png)
2019-11-14 09:56 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (263.72 KB, image/png)
2019-11-14 09:57 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-11-14 09:54:56 UTC
Description:
Word has 5 presets for the rectangular gradient fill type: from top/bottom left/right corner and from center. When this kind of fill is set in a chart the Center X/Y position of the fill is imported (also exported) incorrectly.

Steps to Reproduce:
Steps to reproduce:
    1. Open attached example document in Word and Writer

Actual Results:
From bottom and top right corner preset is imported as ellipsoid with 100% X and 30% Y values.
From Center preset is imported as radial with 50% X and 50% Y values, this look like in Word.
From bottom left corner is imported as ellipsoid with 30% X and 100% Y values.
From top left corner is imported as ellipsoid with 30% X and 30% Y values.

When saved and reloaded, all values get 30% X and 30% Y except for the From center case which is retained correctly as Radial 50% X / 50% Y.

Expected Results:
Similar looks as in Word.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha1+ (x86)
Build ID: 80109586e6cb6d3e2e0a53a9079c3125ec9b8368
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2019-11-14 09:55:30 UTC
Created attachment 155799 [details]
Example file from Word
Comment 2 NISZ LibreOffice Team 2019-11-14 09:56:18 UTC
Created attachment 155800 [details]
The original file saved by Writer
Comment 3 NISZ LibreOffice Team 2019-11-14 09:56:36 UTC
Created attachment 155801 [details]
Screenshot of the original document side by side in Word and Writer
Comment 4 NISZ LibreOffice Team 2019-11-14 09:57:18 UTC
Created attachment 155802 [details]
Screenshot of the original document side by side in Word and Writer
Comment 5 Durgapriyanka 2019-11-15 16:46:54 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-11-19 13:21:49 UTC
Also reproduced in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 7 Commit Notification 2020-05-12 14:51:16 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/898e4ae1364e76af8be22183ac64d73b6a6d8d90

tdf#128794 Chart: Fix OOXML import/export of Radial gradient

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.